> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paygood.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a refund for a payment

> Returns a single refund scoped to the parent payment.



## OpenAPI

````yaml /openapi.json get /payments/{paymentId}/refunds/{refundId}
openapi: 3.0.0
info:
  title: PayGood Merchant API
  description: Server-to-server integration surface for merchant API keys.
  version: '1448-03-01'
  contact: {}
servers:
  - url: https://api-sandbox.paygood.co
    description: Sandbox
  - url: https://api.paygood.co
    description: Production
security: []
paths:
  /payments/{paymentId}/refunds/{refundId}:
    get:
      tags:
        - payments
      summary: Get a refund for a payment
      description: Returns a single refund scoped to the parent payment.
      operationId: RefundsController_get
      parameters:
        - name: paymentId
          required: true
          in: path
          description: Payment TypeID (`pmt_...`) that owns the refund.
          schema:
            example: pmt_01hxy8m1nqk9g3x3y3p0azq2bg
            type: string
        - name: refundId
          required: true
          in: path
          description: Refund TypeID (`refund_...`).
          schema:
            example: refund_01hxy8m1nqk9g3x3y3p0azq2r1
            type: string
        - name: merchantId
          required: true
          in: query
          description: Merchant TypeID (`mer_...`) that owns the payment.
          schema:
            example: mer_01hxy8m1nqk9g3x3y3p0azq2bg
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefundResponseDto'
      security:
        - bearer: []
components:
  schemas:
    RefundResponseDto:
      type: object
      properties:
        id:
          type: string
        paymentId:
          type: string
        amount:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        currency:
          description: Supported currency code (USD, CAD)
          type: string
          minLength: 3
          maxLength: 3
        processorReferenceId:
          type: string
          minLength: 1
        refundedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        paymentStatus:
          type: string
          enum:
            - pending
            - authorized
            - captured
            - completed
            - voided
            - refunded
            - declined
            - returned
      required:
        - id
        - paymentId
        - amount
        - currency
        - processorReferenceId
        - refundedAt
        - paymentStatus
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: merchant_<prefix>_<secret>
      type: http
      description: Merchant API key bearer token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.